﻿.modal-container {
    visibility: hidden;
    position: fixed;
}

    .modal-container.lock {
        top: 0;
        bottom: 0;
        left: 0;
        right: 0;
        position: fixed;
    }

.modal {
    position: fixed;
    width: 600px;
}

    .modal > .titlebar {
        background-color: #307F52;
        color: white;
        display: flex;
        align-items: center;
        justify-content: space-between;
    }

    .modal .modal-title {
        color: white;
    }

    .modal.modal-danger {
        border: 1px solid #F2180C;
    }

        .modal.modal-danger > .titlebar,
        .modal.white-titlebar > .titlebar {
            background-color: white;
        }

            .modal.white-titlebar > .titlebar .close-icon {
                background: transparent url('/Content/images/icons/close-icon-darkgrey.svg') 0% 0% no-repeat padding-box;
            }

    .modal.modal-white > .titlebar {
        background-color: white;
        padding: 16px 16px 8px 16px;
    }

    .modal.modal-white .modal-title {
        color: #333;
    }

        .modal.modal-white .modal-title.close-icon {
            background: transparent url(/Images/IconSprite20251006.svg) 0% 0% no-repeat padding-box;
            width: 10px;
            height: 10px;
            background-position: -32px -116px;
        }

.modal-preventbodyscroll {
    padding-right: 17px;
    /*overflow: hidden;*/
    /*position: fixed;
    overflow-y: scroll;*/
}
    .modal-preventbodyscroll:not(.modal-allowscroll) {
        overflow-x: hidden;
        overflow-y: hidden;
    }


#mask {
    position: fixed;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    z-index: 555;
    background-color: #000;
    display: none;
    opacity: .1;
}

.warning-icon-large {
    background-image: url(/Content/images/icons/warning-red-large.png);
    background-repeat: no-repeat;
    display: inline-block;
    vertical-align: middle;
    margin: 0px 3px;
    width: 48px;
    height: 48px;
    background-position: -17px -8px;
}
.close-icon {
    background: transparent url('/Content/images/icons/close-icon-white.svg') 0% 0% no-repeat padding-box;
    width: 18px;
    height: 18px;
}

#mdlDateWarningContainer {
    z-index: 100005 !important;
}

.modal .modal-footer button {
    height: 33px;
    font-weight: 600;
}

.modal .modal-footer .okbutton,
.modal .modal-footer .btn-cancel {
    min-width: 80px;
}

.modal.no-pad-content div.content {
    padding: 0;
}

/*#region ConfirmationMessageModal */

.confm-msg-modal {
    border: solid 1px #27AE60;
    box-shadow: 0px 3px 6px #00000029;
}

    .confm-msg-modal .titlebar {
        min-height: 31px;
        background-color: #FFF;
        justify-content: flex-end;
        padding-bottom: 0;
    }

    .confm-msg-modal .titlebar .modal-title:not(.close-icon) {
        display: none;
    }

    .confm-msg-modal .titlebar .modal-title.close-icon {
        background: transparent url('/Content/images/icons/close-icon-green.svg') 0% 0% no-repeat padding-box;
    }

    .confm-msg-modal .content {
        padding: 8px 16px 16px 16px;
    }

    .confm-msg-modal .icon-msg-container {
        display: flex;
        align-items: center;
        padding: 0 16px;
    }

    .confm-msg-modal .msg-icon {
        width: 48px;
        height: 48px;
        background: transparent url('/Content/images/icons/ic-circle-check.svg') 0% 0% no-repeat padding-box;
        flex-shrink: 0;
        margin-right: 16px;
    }

    .confm-msg-modal .modal-footer {
        padding: 8px 16px 16px 16px;
    }

    .confm-msg-modal.warning-modal {
        border: solid 1px #F2180C;
    }

        .confm-msg-modal.warning-modal .titlebar .modal-title.close-icon {
            background: transparent url('/Content/images/icons/close-icon-red.svg') 0% 0% no-repeat padding-box;
        }

        .confm-msg-modal.warning-modal .msg-icon {
            background: transparent url('/Content/images/icons/ic-warning.svg') 0% 0% no-repeat padding-box;
        }

/*#endregion Message Modal */

.delete-modal .modal-footer .btn-cancel {
    background-color: transparent;
    border: none;
    box-shadow: none;
    color: #333333;
    text-decoration: underline;
}

.delete-modal .modal-footer .okbutton {
    background-color: #F2180C;
    border: 2px solid #F2180C;
    color: #FFF;
    text-decoration: none;
    border-radius: 0;
    box-shadow: 0 3px 6px #00000029;
}

    .delete-modal .modal-footer .okbutton:hover {
        background-color: #CC0B00;
        border: 2px solid #CC0B00;
        color: #FFF;
        text-shadow: none;
    }
    .delete-modal .modal-footer .okbutton:disabled {
        background-color: #ddd;
        border: 2px solid #ddd;
        text-shadow: none;
    }

/* #region fullscreen modal */

.modal.fullscreen {
    display: flex;
    flex-direction: column;
}

    .modal.fullscreen .content {
        display: flex;
        justify-content: center;
    }

/* #endregion fullscreen modal */